Package org.zkoss.stateless.sul

## Interface IGoldenLayoutCtrl

-     public interface IGoldenLayoutCtrl

  An addition interface to `IGoldenLayout` that is used for implementation or tools.
  Author:
    katherine

- - ### Method Summary

    Static Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static IGoldenLayout` | `from​(GoldenLayout instance)` |
    `static java.util.List<IGoldenPanel<? extends IAnyGroup>>` | `getPanels​(java.lang.String area, java.lang.Iterable<? extends IGoldenPanel<IAnyGroup>> children)` |
    `static JSONObject` | `parseAreas​(IGoldenLayout goldenLayout, java.util.List<java.util.List<java.lang.String>> areasMatrix, boolean isChildrenUpdate)` |
    `static JSONObject` | `parseConfig​(java.util.List matrix, java.lang.String direction, boolean root, IGoldenLayout goldenLayout, boolean isChildrenUpdate)` |
    `static java.util.List<java.util.List<java.lang.String>>` | `transpose​(java.util.List<java.util.List<java.lang.String>> matrixIn)` |

- - ### Method Detail

    - #### from

          static IGoldenLayout from​(GoldenLayout instance)

    - #### parseAreas

          static JSONObject parseAreas​(IGoldenLayout goldenLayout,
                                       java.util.List<java.util.List<java.lang.String>> areasMatrix,
                                       boolean isChildrenUpdate)

    - #### parseConfig

          static JSONObject parseConfig​(java.util.List matrix,
                                        java.lang.String direction,
                                        boolean root,
                                        IGoldenLayout goldenLayout,
                                        boolean isChildrenUpdate)

    - #### transpose

          static java.util.List<java.util.List<java.lang.String>> transpose​(java.util.List<java.util.List<java.lang.String>> matrixIn)

    - #### getPanels

          static java.util.List<IGoldenPanel<? extends IAnyGroup>> getPanels​(java.lang.String area,
                                                                             java.lang.Iterable<? extends IGoldenPanel<IAnyGroup>> children)